%define name 	onefinger
%define version 5
%define release %mkrel 4

Summary: 	A file manager and a general-purpose GUI
Name: 		%name
Version: 	%version
Release: 	%release
Epoch:            1
Url: 		http://onefinger.sourceforge.net/
License: 	GPLv2+
Group: 		File tools
Source: 	%{name}-%{version}.tar.bz2
Buildroot: 	%_tmppath/%name-%version-buildroot
BuildArch:	noarch
BuildRequires:	ImageMagick
Requires:	PyQt
Requires:       python-kde

%description
OneFinger is a file manager and a general-purpose GUI (graphical 
user interface) for Linux. OneFinger is more expressive than 
traditional file-managers: it has a "shell mode" that lets you compose 
shell commands with the mouse. This lets you compose much more
precise commands, which wouldn't be possible with traditional file 
managers. 
For example, you can invoke

    * scp -r /dat/pub/web-site seguso@shell.sf.net/htdocs
    * chmod -r g+a *
    * mplayer -vo sdl -subfont arial.ttf -sub file.srt movie.avi 

all without typing anything (neither the program name, nor the options, nor any
filename or other argument).

%prep
%setup -q

export QTDIR=%qtdir
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/%_lib:$KDEDIR/%_lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%_datadir/%name
cp -r src/* $RPM_BUILD_ROOT/%_datadir/%name/
mkdir $RPM_BUILD_ROOT/%_bindir
echo '#!/bin/bash' > $RPM_BUILD_ROOT/%_bindir/%name
echo 'cd /usr/share/onefinger/python' >> $RPM_BUILD_ROOT/%_bindir/%name
echo 'python one-finger.py $@' >> $RPM_BUILD_ROOT/%_bindir/%name
chmod 755 $RPM_BUILD_ROOT/%_bindir/%name

#menu

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
convert -size 48x48 src/img/onefinger.png $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
convert -size 32x32 src/img/onefinger.png $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
convert -size 16x16 src/img/onefinger.png $RPM_BUILD_ROOT/%_miconsdir/%name.png

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=OneFinger
Comment=File manager and a general-purpose GUI
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application 
StartupNotify=true
Categories=KDE;Qt;System;Filesystem;
EOF

%if %mdkversion < 200900
%post
%update_menus
%endif

%if %mdkversion < 200900
%postun
%update_menus
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS CHANGES COPYING TODO web-site/*
%_bindir/%name
%_datadir/%name
%_datadir/applications/mandriva-onefinger.desktop
%_iconsdir/%name.png
%_liconsdir/%name.png
%_miconsdir/%name.png


%changelog
* Wed Jul 30 2008 Thierry Vignaud <tvignaud@mandriva.com> 1:5-4mdv2009.0
+ Revision: 254539
- rebuild
- fix description-line-too-long

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sat Jan 26 2008 Funda Wang <fundawang@mandriva.org> 1:5-2mdv2008.1
+ Revision: 158212
- fix menu entry

  + Thierry Vignaud <tvignaud@mandriva.com>
    - drop old menu
    - kill re-definition of %%buildroot on Pixel's request
    - import onefinger

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Wed Jun 28 2006 Charles A Edwards <eslrahc@mandriva.org> 5-1mdv2007.0
- new version
- add R python-kde
- change Group/Section
- update description
- xdg

* Mon Sep 20 2004 Austin Acton <austin@mandrake.org> 1.1.1-1mdk
- initial build
-
